Bug 182284 - [PATCH] devel/magit: change directory of elisp files and etc.
Summary: [PATCH] devel/magit: change directory of elisp files and etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-21 18:40 UTC by Yasuhiro Kimura
Modified: 2014-06-09 16:53 UTC (History)
0 users

See Also:


Attachments
patch-magit (5.35 KB, text/plain)
2013-09-21 18:40 UTC, Yasuhiro Kimura
no flags Details
patch-magit (5.36 KB, text/plain; charset=Shift_JIS)
2013-09-22 07:31 UTC, Yasuhiro Kimura
no flags Details
patch-magit (5.38 KB, text/plain; charset=Shift_JIS)
2013-09-25 16:30 UTC, Yasuhiro Kimura
no flags Details
patch-magit (5.34 KB, text/plain; charset=Shift_JIS)
2013-09-26 18:29 UTC, Yasuhiro Kimura
no flags Details
patch-devel_magit (648 bytes, text/plain; charset=Shift_JIS)
2014-05-07 02:24 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2013-09-21 18:40:00 UTC
	
	* change elisp directory into ${PREFIX}/${EMACS_VERSION_SITE_LISPDIR}/magit.
	* stop installing 50magit.el and add pkg-message to show how to setup instead.
	* update WWW URL in pkg-descr.
	* add 'Created by' header in Makefile.
	* set PKGNAMESUFFIX.
	* add license information.
	* add runtime dependency to devel/git.
	* bump PORTREVISION.
Comment 1 Edwin Groothuis freebsd_committer 2013-09-21 18:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yasuhiro Kimura 2013-09-22 07:31:34 UTC
Forget to convert USE_GMAKE to USES=gmake. So please commit attached
patch instead of original one.

Regards.
Comment 3 Yasuhiro Kimura 2013-09-25 16:30:29 UTC
Staging support is added. So please commit attached patch instead of
previous ones.

Regards.
Comment 4 Yasuhiro Kimura 2013-09-26 18:29:49 UTC
Forget to remove unnecessary post-install target. So please commit
attached patch instead of previous ones.

Regards.
Comment 5 Yasuhiro Kimura 2013-11-24 02:59:58 UTC
Hello,

Would you please commit this PR?

Best Regards.

---
Yasuhiro KIMURA
Comment 6 Yasuhiro Kimura 2014-04-28 05:19:04 UTC
Hello,

Would someone please commit this PR with maintainer timeout?

Best Regards.

---
Yasuhiro KIMURA
Comment 7 Kurt Jaeger freebsd_committer 2014-05-03 11:18:57 UTC
Responsible Changed
From-To: kuriyama->pi

Testing @work
Comment 8 dfilter service freebsd_committer 2014-05-05 08:19:55 UTC
Author: pi
Date: Mon May  5 07:19:50 2014
New Revision: 352979
URL: http://svnweb.freebsd.org/changeset/ports/352979
QAT: https://qat.redports.org/buildarchive/r352979/

Log:
  devel/magit: stagify, fix build and many details
  
  - change elisp directory into ${PREFIX}/${EMACS_VERSION_SITE_LISPDIR}/magit
  - stop installing 50magit.el and add pkg-message to show how to setup instead
  - update WWW URL in pkg-descr
  - add 'Created by' header in Makefile
  - set PKGNAMESUFFIX
  - add license information
  - add runtime dependency to devel/git
  - bump PORTREVISION
  
  PR:             ports/182284
  Submitted by:   Yasuhiro KIMURA
  Approved by:    kuriyama (maintainer timeout), culot (mentor)

Added:
  head/devel/magit/pkg-message   (contents, props changed)
Modified:
  head/devel/magit/Makefile
  head/devel/magit/files/patch-Makefile
  head/devel/magit/pkg-plist

Modified: head/devel/magit/Makefile
==============================================================================
--- head/devel/magit/Makefile	Mon May  5 07:12:40 2014	(r352978)
+++ head/devel/magit/Makefile	Mon May  5 07:19:50 2014	(r352979)
@@ -1,19 +1,31 @@
+# Created by: Jun Kuriyama <kuriyama@FreeBSD.org>
 # $FreeBSD$
 
 PORTNAME=	magit
 PORTVERSION=	1.2.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel elisp
 MASTER_SITES=	${MASTER_SITE_LOCAL} \
 		http://cloud.github.com/downloads/magit/magit/
 MASTER_SITE_SUBDIR=	kuriyama
+PKGNAMESUFFIX=	-${EMACS_PORT_NAME}
 
 MAINTAINER=	kuriyama@FreeBSD.org
 COMMENT=	Interface to Git for Emacs
 
+LICENSE=	GFDL GPLv3
+LICENSE_COMB=	multi
+
+RUN_DEPENDS=	git>0:${PORTSDIR}/devel/git
+
+USES=		gmake
 USE_EMACS=	YES
-USE_GMAKE=	YES
 INFO=		magit
 
-NO_STAGE=	yes
+ELISPDIR=	${EMACS_VERSION_SITE_LISPDIR}/${PORTNAME}
+
+MAKE_ENV+=	ELISPDIR=${STAGEDIR}${PREFIX}/${ELISPDIR} \
+		INFODIR=${STAGEDIR}${PREFIX}/${INFO_PATH}
+PLIST_SUB+=	ELISPDIR=${ELISPDIR}
+
 .include <bsd.port.mk>

Modified: head/devel/magit/files/patch-Makefile
==============================================================================
--- head/devel/magit/files/patch-Makefile	Mon May  5 07:12:40 2014	(r352978)
+++ head/devel/magit/files/patch-Makefile	Mon May  5 07:19:50 2014	(r352979)
@@ -1,21 +1,30 @@
---- Makefile.orig	2012-02-25 20:11:08.159711102 +0900
-+++ Makefile	2012-02-25 20:13:34.152398624 +0900
-@@ -61,13 +61,13 @@
+--- Makefile.orig	2012-09-25 04:41:19.000000000 +0900
++++ Makefile	2013-09-21 23:01:04.000000000 +0900
+@@ -1,5 +1,5 @@
+ VERSION=1.2.0
+-EMACS=emacs
++#EMACS=emacs
+ PREFIX=/usr/local
+ SYSCONFDIR=/etc
+ ELS=magit.el magit-svn.el magit-topgit.el magit-stgit.el magit-key-mode.el magit-bisect.el magit-wip.el rebase-mode.el magit-blame.el
+@@ -64,15 +64,13 @@
+ install: install_core install_docs
+ 
  install_core: core
- 	mkdir -p $(DESTDIR)$(PREFIX)/share/emacs/site-lisp
- 	install -m 644 $(ELS) $(ELCS) $(DESTDIR)$(PREFIX)/share/emacs/site-lisp
+-	mkdir -p $(DESTDIR)$(PREFIX)/share/emacs/site-lisp
+-	install -m 644 $(ELS) $(ELCS) $(DESTDIR)$(PREFIX)/share/emacs/site-lisp
 -	mkdir -p $(DESTDIR)$(SYSCONFDIR)/emacs/site-start.d
 -	install -m 644 50magit.el $(DESTDIR)$(SYSCONFDIR)/emacs/site-start.d/50magit.el
-+	mkdir -p $(DESTDIR)$(PREFIX)$(SYSCONFDIR)/emacs/site-start.d
-+	install -m 644 50magit.el $(DESTDIR)$(PREFIX)$(SYSCONFDIR)/emacs/site-start.d/50magit.el
++	mkdir -p $(ELISPDIR)
++	install -m 644 $(ELS) $(ELCS) $(ELISPDIR)
  
  install_docs: docs
 -	mkdir -p $(DESTDIR)$(PREFIX)/share/info
 -	install -m 644 magit.info $(DESTDIR)$(PREFIX)/share/info
 -	install-info --info-dir=$(DESTDIR)$(PREFIX)/share/info $(DESTDIR)$(PREFIX)/share/info/magit.info
-+	mkdir -p $(DESTDIR)$(PREFIX)/info
-+	install -m 644 magit.info $(DESTDIR)$(PREFIX)/info
-+	install-info --info-dir=$(DESTDIR)$(PREFIX)/info $(DESTDIR)$(PREFIX)/info/magit.info
++	mkdir -p $(INFODIR)
++	install -m 644 magit.info $(INFODIR)
++	install-info --info-dir=$(INFODIR) $(INFODIR)/magit.info
  
  install_contrib: contrib
  	mkdir -p $(DESTDIR)$(PREFIX)/share/emacs/site-lisp

Added: head/devel/magit/pkg-message
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/magit/pkg-message	Mon May  5 07:19:50 2014	(r352979)
@@ -0,0 +1,6 @@
+**********************************************************************
+To use Magit, you should add following line to your .emacs file:
+
+(require 'magit)
+
+**********************************************************************

Modified: head/devel/magit/pkg-plist
==============================================================================
--- head/devel/magit/pkg-plist	Mon May  5 07:12:40 2014	(r352978)
+++ head/devel/magit/pkg-plist	Mon May  5 07:19:50 2014	(r352979)
@@ -1,21 +1,19 @@
-etc/emacs/site-start.d/50magit.el
-share/emacs/site-lisp/magit-bisect.el
-share/emacs/site-lisp/magit-bisect.elc
-share/emacs/site-lisp/magit-blame.el
-share/emacs/site-lisp/magit-blame.elc
-share/emacs/site-lisp/magit-key-mode.el
-share/emacs/site-lisp/magit-key-mode.elc
-share/emacs/site-lisp/magit-stgit.el
-share/emacs/site-lisp/magit-stgit.elc
-share/emacs/site-lisp/magit-svn.el
-share/emacs/site-lisp/magit-svn.elc
-share/emacs/site-lisp/magit-topgit.el
-share/emacs/site-lisp/magit-topgit.elc
-share/emacs/site-lisp/magit-wip.el
-share/emacs/site-lisp/magit-wip.elc
-share/emacs/site-lisp/magit.el
-share/emacs/site-lisp/magit.elc
-share/emacs/site-lisp/rebase-mode.el
-share/emacs/site-lisp/rebase-mode.elc
-@dirrmtry etc/emacs/site-start.d
-@dirrmtry etc/emacs
+%%ELISPDIR%%/magit-bisect.el
+%%ELISPDIR%%/magit-bisect.elc
+%%ELISPDIR%%/magit-blame.el
+%%ELISPDIR%%/magit-blame.elc
+%%ELISPDIR%%/magit-key-mode.el
+%%ELISPDIR%%/magit-key-mode.elc
+%%ELISPDIR%%/magit-stgit.el
+%%ELISPDIR%%/magit-stgit.elc
+%%ELISPDIR%%/magit-svn.el
+%%ELISPDIR%%/magit-svn.elc
+%%ELISPDIR%%/magit-topgit.el
+%%ELISPDIR%%/magit-topgit.elc
+%%ELISPDIR%%/magit-wip.el
+%%ELISPDIR%%/magit-wip.elc
+%%ELISPDIR%%/magit.el
+%%ELISPDIR%%/magit.elc
+%%ELISPDIR%%/rebase-mode.el
+%%ELISPDIR%%/rebase-mode.elc
+@dirrm %%ELISPDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Kurt Jaeger freebsd_committer 2014-05-05 08:23:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 10 Yasuhiro Kimura 2014-05-07 02:24:57 UTC
Hello,

(2014/05/06 0:11), Kurt Jaeger wrote:
> Hi!
>
> Some issue, as pointed out by Thomas.Gellekum@gmx.de:
>
>>>    - add runtime dependency to devel/git
>
>> This will not install if git-subversion is installed. Could you check
>> for ${PREFIX}/bin/git instead?
>
> So, we need a fix for this. I'm busy for the rest of this week 8-(

Attached patch adds OPTION to use devel/git-subversion instead of 
devel/git as backend. Please try and commit it if it is fit.

Best Regards.
Comment 11 Thomas Gellekum 2014-05-08 18:19:43 UTC
On 05/07/14 03:24, Yasuhiro KIMURA wrote:
> Hello,
> 
> (2014/05/06 0:11), Kurt Jaeger wrote:
>> Hi!
>>
>> Some issue, as pointed out by Thomas.Gellekum@gmx.de:
>>
>>>>    - add runtime dependency to devel/git
>>
>>> This will not install if git-subversion is installed. Could you check
>>> for ${PREFIX}/bin/git instead?
>>
>> So, we need a fix for this. I'm busy for the rest of this week 8-(
> 
> Attached patch adds OPTION to use devel/git-subversion instead of 
> devel/git as backend. Please try and commit it if it is fit.

Thanks for looking into this.

I don't actually like the option, but I don't see another way to just
pick up the currently installed git executable and derive the origin,
either, so it's fine by me.

tg
Comment 12 Kurt Jaeger freebsd_committer 2014-06-09 16:53:59 UTC
See PR 189494 for the followup and fix.